import { initBlocs, ajouterBlocVideSiBesoin, focusDernierBloc } from './bloc.js';
import { initTchat } from './tchat.js';
import { initPages } from './page.js';
import { initSocketBloc } from './socket-bloc.js';

window.addEventListener('DOMContentLoaded', () => {
    initTchat();
    initPages();
    initSocketBloc();
	initBlocs();
    ajouterBlocVideSiBesoin();
	focusDernierBloc();
	
	document.body.addEventListener('click', function(event) {
	    // Vérifie si l'élément cliqué est un lien dans un .editor
	    if (event.target.tagName.toLowerCase() === 'a' && event.target.closest('.editor')) {
	        event.preventDefault();  // Empêcher l'action par défaut
	        const url = event.target.href;
	        console.log(`Redirection vers ${url}`);  // Affiche l'URL dans la console
	        window.location.href = url;  // Rediriger manuellement
	    }
	});
});
